package com.vromtr.tabbedmaps;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

public class ProximityHandler extends BroadcastReceiver {

	private TabbedMaps mParent;
	
	public ProximityHandler(TabbedMaps parent) {
		mParent = parent;
	}

	@Override
	public void onReceive(Context context, Intent intent) {
		
		//Will be true if they are ENTERING the target radius around the next building on the tour
		//But seems to only be present on Android version 2.0 and above; phone uses 1.5
		//Boolean entering = intent.getBooleanExtra("com.vromtr.tourproximity", false);
		Boolean entering = true;
		
		if (entering)
		{
			//Advance to the next part of the tour
			mParent.tourGoForward();
		}

	}

}
